
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap');


 * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Montserrat', sans-serif;
    text-transform: uppercase; 
}

.footer__container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 1.5rem 0; /*Altura de el cuerpo del pie de pagina*/
  background-color: #000000;
  width: 100%;
}

.footer__logo i {
    color: #fff;
    margin-right: 8px;
}

.footer__logo{
    color: #fff;
    display: flex;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
    font-size: 2rem;
    text-transform: none;
    font-family: 'Montserrat', sans-serif;
}

#footer__logo{
    color: #fff;
    font-family: 'Montserrat', sans-serif;
    font-size: 1.4rem;
    text-decoration: none; /* Quita el subrayado del enlace */
    display: flex;
    align-items: center;
    transition: color 0.3s ease;
    text-transform: uppercase; 
    font-weight: bold;
}

.footer__logo:hover {
    opacity: 0.8; /* Reduce la opacidad al pasar el mouse */
    transition: opacity 0.3s ease; /* Suaviza el cambio */
}

/* Alternativa si el ID es necesario */
#footer__logo:hover {
    opacity: 0.8;
    transition: opacity 0.3s ease;
}

.footer__links{
    width: 100%;
    max-width: 1000px;
    display: flex;
    justify-content: center;

}

.footer__link--wrapper{
    display: flex;
}

.footer__link--items{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin: 16px;
    text-align: left;
    width: 160px;
    box-sizing: border-box;
}

.footer__link--item h2{
    margin-bottom: 16px;
}

.footer__link--items > h2{
    color: #fff;
} 

.footer__link--items a{
    color: #fff;
    text-decoration: none;
    margin-bottom: 0.5rem;
}

.footer__link--items a:hover{
    color: #e9e9e9;
    transition: 0.3s ease-out;
}


/*Social ICONS*/

.social__icon--icon{
    color: #fff;
    font-size: 24px;
}

.social__media{
    max-width: 1000px;
    width: 100%;
}

.social__media--wrap{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 90%;
    max-width: 1000px;
    margin: 40px auto 0 auto;
}

.social__icons {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 240px;
    color: #fff;
    transition: color 0.3s ease;
}

.social__icons i {
    color: #fff; /* Cambia el color a blanco */
    transition: color 0.3s ease; /* Añade una transición suave */
}

.social__icons i:hover {
    opacity: 0.8; /* Reduce la opacidad */
    color: #e9e9e9; /* Cambia ligeramente el color */
    transition: all 0.3s ease; /* Suaviza todos los cambios */
}

.social__logo{
    color: #fff;
    justify-self: flex-start;
    margin-left: 20px;
    cursor: pointer;
    text-decoration: none;
    font-size: 2rem;
    display: flex;
    align-items: center;
    margin-bottom: 16px;
}

.website__rights{
    color: #fff;
    margin-bottom: 16px;
    font-size: 0.7rem;

}

@media screen and (max-width: 820px){
    .footer__links{
        padding: 2rem;
    }

    #footer__logo{
        margin-bottom: 2rem;
    }

    .website__rights{
        margin-bottom: 2rem;
    }
    .footer__link--wrapper{
        flex-direction: column;
    }

    .social__media--wrap{
        flex-direction: column;
    }
}

@media screen and (max-width: 480px){
    .footer__link--items{
        margin: 0;
        padding: 10px;
        width: 100%;
    }
}